fop 1.1

## org.apache.fop.render.mif
Class RefElement

    java.lang.Object
      org.apache.fop.render.mif.MIFElement
          org.apache.fop.render.mif.RefElement

Direct Known Subclasses:
  PGFElement, RulingElement

    public class RefElement

extends MIFElement

Reference MIF Element. This element is a lookup reference set that contains a list of resources used in the MIF Document. When a lookup is performed it will either create a new element or return an existing element that is valid. THe key depends on the type of reference, it should be able to uniquely identify the element.

Field Summary

Fields inherited from class org.apache.fop.render.mif.MIFElement
`finish, finished, name, started, valueElements, valueStr`

Constructor Summary
`RefElement(java.lang.String name)`

Method Summary
`MIFElement` `lookupElement(java.lang.Object key)`

Methods inherited from class org.apache.fop.render.mif.MIFElement
`addElement, finish, output, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RefElement

    public RefElement(java.lang.String name)

Parameters:
  `name` - a name
See Also:
  `MIFElement.MIFElement(String)`

Method Detail

### lookupElement

    public MIFElement lookupElement(java.lang.Object key)

  Parameters:
    `key` - a key
  Returns:
    an mif element

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.